//
//  InstanceURLField.m
//  HotPocket (macOS)
//
//  Created by Tomek Wójcik on 30/09/2025.
//

#import "InstanceURLField.h"

@implementation InstanceURLField

-(CGRect)rightViewRectForBounds:(CGRect)bounds {
    if (self.rightViewMode != UITextFieldViewModeNever) {
        CGFloat offsetTop = (bounds.size.height - 16.0) / 2.0;
        return CGRectMake(bounds.size.width - 16.0 - offsetTop, offsetTop, 16.0, 16.0);
    }
    
    return CGRectNull;
}

@end
